#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,240,520,800,920,1000,1080,2160
 * N : 25,120,240,520,800,920,1000,1080,2160
 * NB : 4,8,8,8,12,16,40,40,80
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 4; \
   else if ((n_) < 660) (nb_) = 8; \
   else if ((n_) < 860) (nb_) = 12; \
   else if ((n_) < 960) (nb_) = 16; \
   else if ((n_) < 1620) (nb_) = 40; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
